=== modified file 'UnityCore/CheckOptionFilter.cpp'
--- UnityCore/CheckOptionFilter.cpp	2012-03-14 06:24:18 +0000
+++ UnityCore/CheckOptionFilter.cpp	2012-10-29 09:34:54 +0000
@@ -25,11 +25,7 @@
 {
 namespace dash
 {
-
-namespace
-{
-nux::logging::Logger logger("unity.dash.checkoptionfilter");
-}
+DECLARE_LOGGER(logger, "unity.dash.filter.checkoption");
 
 CheckOptionFilter::CheckOptionFilter(DeeModel* model, DeeModelIter* iter)
   : Filter(model, iter)

=== modified file 'UnityCore/DBusIndicators.cpp'
--- UnityCore/DBusIndicators.cpp	2012-10-11 01:44:15 +0000
+++ UnityCore/DBusIndicators.cpp	2012-10-29 09:34:54 +0000
@@ -32,11 +32,10 @@
 {
 namespace indicator
 {
+DECLARE_LOGGER(logger, "unity.indicator.dbus");
 
 namespace
 {
-nux::logging::Logger logger("unity.indicator.DBusIndicators");
-
 const std::string SERVICE_NAME("com.canonical.Unity.Panel.Service");
 const std::string SERVICE_PATH("/com/canonical/Unity/Panel/Service");
 const std::string SERVICE_IFACE("com.canonical.Unity.Panel.Service");

=== modified file 'UnityCore/FilesystemLenses.cpp'
--- UnityCore/FilesystemLenses.cpp	2012-06-18 02:57:23 +0000
+++ UnityCore/FilesystemLenses.cpp	2012-10-29 09:34:54 +0000
@@ -37,13 +37,11 @@
 {
 namespace dash
 {
+DECLARE_LOGGER(logger, "unity.dash.lens.filesystem");
 
 namespace
 {
-
-nux::logging::Logger logger("unity.dash.filesystemlenses");
 const char* GROUP = "Lens";
-
 }
 
 // Loads data from a Lens key-file in a usable form

=== modified file 'UnityCore/Filter.cpp'
--- UnityCore/Filter.cpp	2012-07-04 08:58:36 +0000
+++ UnityCore/Filter.cpp	2012-10-29 09:34:54 +0000
@@ -30,11 +30,7 @@
 {
 namespace dash
 {
-
-namespace
-{
-nux::logging::Logger logger("unity.dash.filter");
-}
+DECLARE_LOGGER(logger, "unity.dash.filter");
 
 using unity::glib::Signal;
 

=== modified file 'UnityCore/GLibDBusProxy.cpp'
--- UnityCore/GLibDBusProxy.cpp	2012-10-11 01:44:15 +0000
+++ UnityCore/GLibDBusProxy.cpp	2012-10-29 09:34:54 +0000
@@ -33,11 +33,11 @@
 {
 namespace glib
 {
+DECLARE_LOGGER(logger, "unity.glib.dbusproxy");
 
 namespace
 {
 const unsigned MAX_RECONNECTION_ATTEMPTS = 5;
-nux::logging::Logger logger("unity.glib.dbusproxy");
 }
 
 using std::string;

=== modified file 'UnityCore/HomeLens.cpp'
--- UnityCore/HomeLens.cpp	2012-10-17 11:08:05 +0000
+++ UnityCore/HomeLens.cpp	2012-10-29 09:34:54 +0000
@@ -38,12 +38,10 @@
 {
 namespace dash
 {
+DECLARE_LOGGER(logger, "unity.dash.lens.home");
 
 namespace
 {
-
-nux::logging::Logger logger("unity.dash.homelens");
-
 const gchar* const HOMELENS_PRIORITY = "unity-homelens-priority";
 const gchar* const HOMELENS_RESULTS_MODEL = "unity-homelens-results-model";
 

=== modified file 'UnityCore/Hud.cpp'
--- UnityCore/Hud.cpp	2012-08-21 13:00:01 +0000
+++ UnityCore/Hud.cpp	2012-10-29 09:34:54 +0000
@@ -33,10 +33,10 @@
 {
 namespace hud
 {
+DECLARE_LOGGER(logger, "unity.hud.impl");
 
 namespace
 {
-nux::logging::Logger logger("unity.hud.hud");
 const int request_number_of_results = 6;
 }
 

=== modified file 'UnityCore/Lens.cpp'
--- UnityCore/Lens.cpp	2012-09-04 11:54:33 +0000
+++ UnityCore/Lens.cpp	2012-10-29 09:34:54 +0000
@@ -32,11 +32,10 @@
 {
 namespace dash
 {
+DECLARE_LOGGER(logger, "unity.dash.lens");
 
 namespace
 {
-nux::logging::Logger logger("unity.dash.lens");
-
 const unsigned CATEGORY_COLUMN = 2;
 }
 

=== modified file 'UnityCore/Model-inl.h'
--- UnityCore/Model-inl.h	2012-09-13 08:56:52 +0000
+++ UnityCore/Model-inl.h	2012-10-29 09:34:54 +0000
@@ -27,11 +27,6 @@
 namespace dash
 {
 
-namespace
-{
-nux::logging::Logger _model_inl_logger("unity.dash.model");
-}
-
 template<class RowAdaptor>
 Model<RowAdaptor>::Model()
   : model_type_(ModelType::REMOTE)
@@ -67,10 +62,12 @@
 template<class RowAdaptor>
 void Model<RowAdaptor>::OnSwarmNameChanged(std::string const& swarm_name)
 {
+  static nux::logging::Logger local_logger("unity.dash.model");
+
   typedef glib::Signal<void, DeeModel*, DeeModelIter*> RowSignalType;
   typedef glib::Signal<void, DeeModel*, guint64, guint64> TransactionSignalType;
 
-  LOG_DEBUG(_model_inl_logger) << "New swarm name: " << swarm_name;
+  LOG_DEBUG(local_logger) << "New swarm name: " << swarm_name;
 
   // Let the views clean up properly
   if (model_)
@@ -95,7 +92,7 @@
                                                  sigc::mem_fun(this, &Model<RowAdaptor>::OnTransactionEnd)));
       break;
     default:
-      LOG_ERROR(_model_inl_logger) <<  "Unexpected ModelType " << model_type_;
+      LOG_ERROR(local_logger) <<  "Unexpected ModelType " << model_type_;
       break;
   }
 

=== modified file 'UnityCore/MultiRangeFilter.cpp'
--- UnityCore/MultiRangeFilter.cpp	2011-10-07 22:02:43 +0000
+++ UnityCore/MultiRangeFilter.cpp	2012-10-29 09:34:54 +0000
@@ -25,11 +25,7 @@
 {
 namespace dash
 {
-
-namespace
-{
-nux::logging::Logger logger("unity.dash.multirangefilter");
-}
+DECLARE_LOGGER(logger, "unity.dash.filter.multirange");
 
 MultiRangeFilter::MultiRangeFilter(DeeModel* model, DeeModelIter* iter)
   : Filter(model, iter)

=== modified file 'UnityCore/Preview.cpp'
--- UnityCore/Preview.cpp	2012-09-18 01:41:46 +0000
+++ UnityCore/Preview.cpp	2012-10-29 09:34:54 +0000
@@ -35,11 +35,7 @@
 {
 namespace dash
 {
-
-namespace
-{
-  nux::logging::Logger logger("unity.dash.preview");
-}
+DECLARE_LOGGER(logger, "unity.dash.preview");
 
 Preview::Ptr Preview::PreviewForProtocolObject(glib::Object<GObject> const& proto_obj)
 {

=== modified file 'UnityCore/RadioOptionFilter.cpp'
--- UnityCore/RadioOptionFilter.cpp	2011-08-05 19:25:57 +0000
+++ UnityCore/RadioOptionFilter.cpp	2012-10-29 09:34:54 +0000
@@ -25,11 +25,7 @@
 {
 namespace dash
 {
-
-namespace
-{
-nux::logging::Logger logger("unity.dash.radiooptionfilter");
-}
+DECLARE_LOGGER(logger, "unity.dash.filter.radiooption");
 
 RadioOptionFilter::RadioOptionFilter(DeeModel* model, DeeModelIter* iter)
   : Filter(model, iter)

=== modified file 'UnityCore/RatingsFilter.cpp'
--- UnityCore/RatingsFilter.cpp	2012-03-14 06:24:18 +0000
+++ UnityCore/RatingsFilter.cpp	2012-10-29 09:34:54 +0000
@@ -25,11 +25,7 @@
 {
 namespace dash
 {
-
-namespace
-{
-nux::logging::Logger logger("unity.dash.ratingsfilter");
-}
+DECLARE_LOGGER(logger, "unity.dash.filter.ratings");
 
 RatingsFilter::RatingsFilter(DeeModel* model, DeeModelIter* iter)
   : Filter(model, iter)

=== modified file 'UnityCore/ResultIterator.cpp'
--- UnityCore/ResultIterator.cpp	2012-09-02 20:34:37 +0000
+++ UnityCore/ResultIterator.cpp	2012-10-29 09:34:54 +0000
@@ -23,11 +23,7 @@
 {
 namespace dash
 {
-
-namespace 
-{
-  nux::logging::Logger logger("unity.dash.resultiterator");
-}
+DECLARE_LOGGER(logger, "unity.dash.resultiterator");
 
 ResultIterator::ResultIterator(glib::Object<DeeModel> model)
   : model_(model)

=== modified file 'dash/DashController.cpp'
--- dash/DashController.cpp	2012-10-17 11:08:05 +0000
+++ dash/DashController.cpp	2012-10-29 09:34:54 +0000
@@ -35,12 +35,12 @@
 {
 namespace dash
 {
+DECLARE_LOGGER(logger, "unity.dash.controller");
 
-const char window_title[] = "unity-dash";
+const char* window_title = "unity-dash";
 
 namespace
 {
-nux::logging::Logger logger("unity.dash.controller");
 const unsigned int PRELOAD_TIMEOUT_LENGTH = 40;
 
 const std::string DBUS_PATH = "/com/canonical/Unity/Dash";

=== modified file 'dash/DashView.cpp'
--- dash/DashView.cpp	2012-10-17 11:08:05 +0000
+++ dash/DashView.cpp	2012-10-29 09:34:54 +0000
@@ -41,10 +41,9 @@
 {
 namespace dash
 {
+DECLARE_LOGGER(logger, "unity.dash.view");
 namespace
 {
-
-nux::logging::Logger logger("unity.dash.view");
 previews::Style preview_style;
 }
 

=== modified file 'dash/FilterBar.cpp'
--- dash/FilterBar.cpp	2012-09-16 12:39:42 +0000
+++ dash/FilterBar.cpp	2012-10-29 09:34:54 +0000
@@ -32,12 +32,7 @@
 {
 namespace dash
 {
-namespace
-{
-
-nux::logging::Logger logger("unity.dash.filterbar");
-
-}
+DECLARE_LOGGER(logger, "unity.dash.filter.bar");
 
 NUX_IMPLEMENT_OBJECT_TYPE(FilterBar);
 

=== modified file 'dash/FilterFactory.cpp'
--- dash/FilterFactory.cpp	2012-05-06 23:48:38 +0000
+++ dash/FilterFactory.cpp	2012-10-29 09:34:54 +0000
@@ -28,10 +28,10 @@
 #include "FilterMultiRangeWidget.h"
 #include "FilterRatingsWidget.h"
 
+DECLARE_LOGGER(logger, "unity.dash.filter.factory");
+
 namespace
 {
-  nux::logging::Logger logger("unity.dash.filterfactory");
-
   const std::string renderer_type_ratings = "filter-ratings";
   const std::string renderer_type_multirange = "filter-multirange";
   const std::string renderer_type_check_options = "filter-checkoption";

=== modified file 'dash/LensBar.cpp'
--- dash/LensBar.cpp	2012-09-18 13:59:06 +0000
+++ dash/LensBar.cpp	2012-10-29 09:34:54 +0000
@@ -26,11 +26,9 @@
 {
 namespace dash
 {
+DECLARE_LOGGER(logger, "unity.dash.lensbar");
 namespace
 {
-
-nux::logging::Logger logger("unity.dash.lensbar");
-
 // according to Q design the inner area of the lensbar should be 40px
 // (without any borders)
 const int LENSBAR_HEIGHT = 41;

=== modified file 'dash/LensView.cpp'
--- dash/LensView.cpp	2012-10-11 01:44:15 +0000
+++ dash/LensView.cpp	2012-10-29 09:34:54 +0000
@@ -40,10 +40,9 @@
 {
 namespace dash
 {
+DECLARE_LOGGER(logger, "unity.dash.lensview");
 namespace
 {
-nux::logging::Logger logger("unity.dash.lensview");
-
 const int CARD_VIEW_GAP_VERT  = 24; // pixels
 const int CARD_VIEW_GAP_HORIZ = 25; // pixels
 }

=== modified file 'dash/PlacesGroup.cpp'
--- dash/PlacesGroup.cpp	2012-10-17 11:08:05 +0000
+++ dash/PlacesGroup.cpp	2012-10-29 09:34:54 +0000
@@ -34,12 +34,6 @@
 #include "unity-shared/UBusWrapper.h"
 #include "unity-shared/UBusMessages.h"
 
-
-namespace
-{
-nux::logging::Logger logger("unity.dash.placesgroup");
-}
-
 #include "ResultView.h"
 #include "ResultViewGrid.h"
 #include "ResultRendererTile.h"
@@ -48,6 +42,7 @@
 #include "FilterBasicButton.h"
 
 
+DECLARE_LOGGER(logger, "unity.dash.placesgroup");
 namespace unity
 {
 namespace

=== modified file 'dash/PreviewStateMachine.cpp'
--- dash/PreviewStateMachine.cpp	2012-10-11 01:44:15 +0000
+++ dash/PreviewStateMachine.cpp	2012-10-29 09:34:54 +0000
@@ -22,11 +22,8 @@
 {
 namespace dash
 {
+DECLARE_LOGGER(logger, "unity.dash.preview.statemachine");
 
-namespace
-{
-nux::logging::Logger logger("unity.dash.PreviewStateMachine");
-}
 PreviewStateMachine::PreviewStateMachine()
   : preview_active(false)
   , left_results(-1)

=== modified file 'dash/ResultRendererTile.cpp'
--- dash/ResultRendererTile.cpp	2012-10-22 12:04:55 +0000
+++ dash/ResultRendererTile.cpp	2012-10-29 09:34:54 +0000
@@ -39,10 +39,9 @@
 
 namespace unity
 {
+DECLARE_LOGGER(logger, "unity.dash.results");
 namespace
 {
-nux::logging::Logger logger("unity.dash.results");
-
 const int FONT_SIZE = 10;
 
 const float CORNER_HIGHTLIGHT_RADIUS = 2.0f;

=== modified file 'dash/ResultViewGrid.cpp'
--- dash/ResultViewGrid.cpp	2012-10-17 22:26:46 +0000
+++ dash/ResultViewGrid.cpp	2012-10-29 09:34:54 +0000
@@ -36,10 +36,7 @@
 #include "ResultViewGrid.h"
 #include "math.h"
 
-namespace
-{
-nux::logging::Logger logger("unity.dash.results");
-}
+DECLARE_LOGGER(logger, "unity.dash.results");
 
 namespace unity
 {

=== modified file 'dash/previews/ActionButton.cpp'
--- dash/previews/ActionButton.cpp	2012-10-11 01:44:15 +0000
+++ dash/previews/ActionButton.cpp	2012-10-29 09:34:54 +0000
@@ -33,14 +33,13 @@
 const int kMinButtonWidth  = 48;
 
 const int icon_size  = 24;
-
-nux::logging::Logger logger("unity.dash.actionbutton");
 }
 
 namespace unity
 {
 namespace dash
 {
+DECLARE_LOGGER(logger, "unity.dash.preview.action");
 
 ActionButton::ActionButton(std::string const& action_hint, std::string const& label, std::string const& icon_hint, NUX_FILE_LINE_DECL)
   : nux::AbstractButton(NUX_FILE_LINE_PARAM)

=== modified file 'dash/previews/ApplicationPreview.cpp'
--- dash/previews/ApplicationPreview.cpp	2012-09-10 10:54:02 +0000
+++ dash/previews/ApplicationPreview.cpp	2012-10-29 09:34:54 +0000
@@ -46,11 +46,7 @@
 {
 namespace previews
 {
-
-namespace
-{
-nux::logging::Logger logger("unity.dash.previews.applicationpreview");
-}
+DECLARE_LOGGER(logger, "unity.dash.preview.application");
 
 class DetailsScrollView : public nux::ScrollView
 {

=== modified file 'dash/previews/DBusTestRunner.h'
--- dash/previews/DBusTestRunner.h	2012-07-31 10:10:16 +0000
+++ dash/previews/DBusTestRunner.h	2012-10-29 09:34:54 +0000
@@ -34,11 +34,7 @@
 {
 namespace previews
 {
-namespace
-{
-nux::logging::Logger logger("unity.dash.DBusTestRunner");
-}
-
+DECLARE_LOGGER(logger, "unity.dash.dbus.testrunner");
 
 class DBusTestRunner
 {
@@ -80,4 +76,4 @@
 } // namespace dash
 } // namespace unity
 
-#endif // DBUSTESTRUNNER_H
\ No newline at end of file
+#endif // DBUSTESTRUNNER_H

=== modified file 'dash/previews/GenericPreview.cpp'
--- dash/previews/GenericPreview.cpp	2012-09-10 10:54:02 +0000
+++ dash/previews/GenericPreview.cpp	2012-10-29 09:34:54 +0000
@@ -31,7 +31,7 @@
 #include <Nux/GridHLayout.h>
 #include <UnityCore/GenericPreview.h>
 #include <Nux/AbstractButton.h>
- 
+
 #include "GenericPreview.h"
 #include "PreviewInfoHintWidget.h"
 
@@ -41,12 +41,7 @@
 {
 namespace previews
 {
-
-namespace
-{
-nux::logging::Logger logger("unity.dash.previews.genericpreview");
-
-}
+DECLARE_LOGGER(logger, "unity.dash.preview.generic");
 
 class DetailsScrollView : public nux::ScrollView
 {

=== modified file 'dash/previews/MoviePreview.cpp'
--- dash/previews/MoviePreview.cpp	2012-09-10 10:54:02 +0000
+++ dash/previews/MoviePreview.cpp	2012-10-29 09:34:54 +0000
@@ -42,12 +42,7 @@
 {
 namespace previews
 {
-
-namespace
-{
-nux::logging::Logger logger("unity.dash.previews.moviepreview");
-
-}
+DECLARE_LOGGER(logger, "unity.dash.preview.movie");
 
 class DetailsScrollView : public nux::ScrollView
 {

=== modified file 'dash/previews/MusicPreview.cpp'
--- dash/previews/MusicPreview.cpp	2012-09-26 17:06:44 +0000
+++ dash/previews/MusicPreview.cpp	2012-10-29 09:34:54 +0000
@@ -42,12 +42,7 @@
 {
 namespace previews
 {
-
-namespace
-{
-nux::logging::Logger logger("unity.dash.previews.moviepreview");
-
-}
+DECLARE_LOGGER(logger, "unity.dash.preview.music");
 
 NUX_IMPLEMENT_OBJECT_TYPE(MusicPreview);
 

=== modified file 'dash/previews/Preview.cpp'
--- dash/previews/Preview.cpp	2012-10-10 15:05:43 +0000
+++ dash/previews/Preview.cpp	2012-10-29 09:34:54 +0000
@@ -40,11 +40,7 @@
 {
 namespace previews
 {
-
-namespace
-{
-nux::logging::Logger logger("unity.dash.previews.preview");
-}
+DECLARE_LOGGER(logger, "unity.dash.preview.view");
 
 previews::Preview::Ptr Preview::PreviewForModel(dash::Preview::Ptr model)
 {
@@ -53,7 +49,7 @@
     LOG_WARN(logger) << "Unable to create Preview object";
     return previews::Preview::Ptr();
   }
- 
+
   if (model->renderer_name == "preview-generic")
   {
     return Preview::Ptr(new GenericPreview(model));

=== modified file 'dash/previews/PreviewContainer.cpp'
--- dash/previews/PreviewContainer.cpp	2012-10-11 01:44:15 +0000
+++ dash/previews/PreviewContainer.cpp	2012-10-29 09:34:54 +0000
@@ -37,6 +37,7 @@
 {
 namespace previews
 {
+DECLARE_LOGGER(logger, "unity.dash.preview.container");
 
 Navigation operator&(const Navigation lhs, const Navigation rhs)
 {
@@ -45,8 +46,6 @@
 
 namespace
 {
-nux::logging::Logger logger("unity.dash.previews.previewcontainer");
-
 const int ANIM_DURATION_LONG = 500;
 const int PREVIEW_SPINNER_WAIT = 300;
 

=== modified file 'dash/previews/PreviewInfoHintWidget.cpp'
--- dash/previews/PreviewInfoHintWidget.cpp	2012-09-21 14:44:12 +0000
+++ dash/previews/PreviewInfoHintWidget.cpp	2012-10-29 09:34:54 +0000
@@ -35,10 +35,9 @@
 {
 namespace previews
 {
+DECLARE_LOGGER(logger, "unity.dash.preview.infohintwidget");
 namespace
 {
-nux::logging::Logger logger("unity.dash.previews.previewinfohintwidget");
-
 const int layout_spacing = 12;
 }
 

=== modified file 'dash/previews/PreviewNavigator.cpp'
--- dash/previews/PreviewNavigator.cpp	2012-09-10 11:41:45 +0000
+++ dash/previews/PreviewNavigator.cpp	2012-10-29 09:34:54 +0000
@@ -35,12 +35,7 @@
 {
 namespace previews
 {
-
-namespace
-{
-nux::logging::Logger logger("unity.dash.previews.previewnavigator");
-
-}
+DECLARE_LOGGER(logger, "unity.dash.preview.navigator");
 
 NUX_IMPLEMENT_OBJECT_TYPE(PreviewNavigator);
 
@@ -184,4 +179,4 @@
 
 } // namespace previews
 } // namespace dash
-} // namespace unity
\ No newline at end of file
+} // namespace unity

=== modified file 'dash/previews/SocialPreview.cpp'
--- dash/previews/SocialPreview.cpp	2012-09-19 00:36:48 +0000
+++ dash/previews/SocialPreview.cpp	2012-10-29 09:34:54 +0000
@@ -46,12 +46,7 @@
 {
 namespace previews
 {
-
-namespace
-{
-nux::logging::Logger logger("unity.dash.previews.socialpreview");
-
-}
+DECLARE_LOGGER(logger, "unity.dash.preview.social");
 
 class DetailsScrollView : public nux::ScrollView
 {

=== modified file 'dash/previews/SocialPreviewComments.cpp'
--- dash/previews/SocialPreviewComments.cpp	2012-09-14 19:53:57 +0000
+++ dash/previews/SocialPreviewComments.cpp	2012-10-29 09:34:54 +0000
@@ -36,11 +36,10 @@
 {
 namespace previews
 {
+DECLARE_LOGGER(logger, "unity.dash.preview.social.comments");
 
 namespace
 {
-nux::logging::Logger logger("unity.dash.previews.socialpreviewcomments");
-
 const int layout_spacing = 12;
 }
 

=== modified file 'dash/previews/SocialPreviewContent.cpp'
--- dash/previews/SocialPreviewContent.cpp	2012-10-11 01:44:15 +0000
+++ dash/previews/SocialPreviewContent.cpp	2012-10-29 09:34:54 +0000
@@ -34,11 +34,10 @@
 {
 namespace previews
 {
+DECLARE_LOGGER(logger, "unity.dash.previews.social.content");
 
 namespace
 {
-nux::logging::Logger logger("unity.dash.previews.socialpreviewcontent");
-
 const int BUBBLE_WIDTH = 300;
 const int BUBBLE_HEIGHT = 250;
 const int TAIL_HEIGHT = 50;

=== modified file 'dash/previews/StandaloneMusicPreview.cpp'
--- dash/previews/StandaloneMusicPreview.cpp	2012-08-17 07:28:10 +0000
+++ dash/previews/StandaloneMusicPreview.cpp	2012-10-29 09:34:54 +0000
@@ -46,10 +46,7 @@
 using namespace unity;
 using namespace unity::dash;
 
-namespace
-{
-nux::logging::Logger logger("unity.dash.StandaloneMusicPreview");
-}
+DECLARE_LOGGER(logger, "unity.dash.preview.standalone");
 
 class DummyView : public nux::View
 {

=== modified file 'dash/previews/Track.cpp'
--- dash/previews/Track.cpp	2012-09-25 22:54:22 +0000
+++ dash/previews/Track.cpp	2012-10-29 09:34:54 +0000
@@ -54,10 +54,9 @@
 
 };
 
+DECLARE_LOGGER(logger, "unity.dash.preview.music.track");
 namespace
 {
-nux::logging::Logger logger("unity.dash.previews.track");
-
 const int layout_spacing = 6;
 }
 

=== modified file 'dash/previews/Tracks.cpp'
--- dash/previews/Tracks.cpp	2012-10-17 09:40:25 +0000
+++ dash/previews/Tracks.cpp	2012-10-29 09:34:54 +0000
@@ -35,11 +35,7 @@
 {
 namespace previews
 {
-
-namespace
-{
-nux::logging::Logger logger("unity.dash.previews.tracks");
-}
+DECLARE_LOGGER(logger, "unity.dash.preview.music.tracks");
 
 NUX_IMPLEMENT_OBJECT_TYPE(Tracks);
 

=== modified file 'hud/HudButton.cpp'
--- hud/HudButton.cpp	2012-09-01 03:08:52 +0000
+++ hud/HudButton.cpp	2012-10-29 09:34:54 +0000
@@ -39,10 +39,9 @@
 #include "HudButton.h"
 #include "HudPrivate.h"
 
+DECLARE_LOGGER(logger, "unity.hud.button");
 namespace
 {
-nux::logging::Logger logger("unity.hud.HudButton");
-
 const int hlayout_left_padding = 46;
 const char* const button_font = "Ubuntu 13"; // 17px = 13
 }

=== modified file 'hud/HudController.cpp'
--- hud/HudController.cpp	2012-10-11 01:44:15 +0000
+++ hud/HudController.cpp	2012-10-29 09:34:54 +0000
@@ -34,11 +34,7 @@
 {
 namespace hud
 {
-
-namespace
-{
-nux::logging::Logger logger("unity.hud.controller");
-}
+DECLARE_LOGGER(logger, "unity.hud.controller");
 
 Controller::Controller(std::function<AbstractView*(void)> const& function)
   : launcher_width(64)

=== modified file 'hud/HudIcon.cpp'
--- hud/HudIcon.cpp	2012-08-20 14:26:14 +0000
+++ hud/HudIcon.cpp	2012-10-29 09:34:54 +0000
@@ -22,15 +22,11 @@
 #include "NuxCore/Logger.h"
 #include "config.h"
 
-namespace
-{
-nux::logging::Logger logger("unity.hud.icon");
-}
-
 namespace unity
 {
 namespace hud
 {
+DECLARE_LOGGER(logger, "unity.hud.icon");
 
 Icon::Icon()
   : IconTexture("", 0, true)

=== modified file 'hud/HudIconTextureSource.cpp'
--- hud/HudIconTextureSource.cpp	2012-05-28 16:16:06 +0000
+++ hud/HudIconTextureSource.cpp	2012-10-29 09:34:54 +0000
@@ -26,15 +26,11 @@
 #include <Nux/Nux.h>
 #include <NuxCore/Logger.h>
 
-namespace
-{
-  nux::logging::Logger logger("unity.hud.HudIconTextureSource");
-}
-
 namespace unity
 {
 namespace hud
 {
+DECLARE_LOGGER(logger, "unity.hud.icon.texturesource");
 
 HudIconTextureSource::HudIconTextureSource(nux::ObjectPtr<nux::BaseTexture> texture)
   : unity::ui::IconTextureSource()

=== modified file 'hud/HudView.cpp'
--- hud/HudView.cpp	2012-09-19 09:50:37 +0000
+++ hud/HudView.cpp	2012-10-29 09:34:54 +0000
@@ -36,11 +36,9 @@
 {
 namespace hud
 {
+DECLARE_LOGGER(logger, "unity.hud.view");
 namespace
 {
-
-nux::logging::Logger logger("unity.hud.view");
-
 const int grow_anim_length = 90 * 1000;
 const int pause_before_grow_length = 32 * 1000;
 

=== modified file 'hud/StandaloneHud.cpp'
--- hud/StandaloneHud.cpp	2012-09-13 14:45:06 +0000
+++ hud/StandaloneHud.cpp	2012-10-29 09:34:54 +0000
@@ -32,10 +32,7 @@
 #include "unity-shared/UnitySettings.h"
 #include <NuxCore/Logger.h>
 
-namespace
-{
-  nux::logging::Logger logger("unity.tests.Hud");
-}
+DECLARE_LOGGER(logger, "unity.tests.hud");
 
 class TestRunner
 {

=== modified file 'launcher/ApplicationLauncherIcon.cpp'
--- launcher/ApplicationLauncherIcon.cpp	2012-10-17 22:26:46 +0000
+++ launcher/ApplicationLauncherIcon.cpp	2012-10-29 09:34:54 +0000
@@ -43,15 +43,14 @@
 {
 namespace launcher
 {
+DECLARE_LOGGER(logger, "unity.launcher.icon.application");
 namespace
 {
-nux::logging::Logger logger("unity.launcher");
-
-  // We use the "bamf-" prefix since the manager is protected, to avoid name clash
-  const std::string WINDOW_MOVE_TIMEOUT = "bamf-window-move";
-  const std::string ICON_REMOVE_TIMEOUT = "bamf-icon-remove";
-  //const std::string ICON_DND_OVER_TIMEOUT = "bamf-icon-dnd-over";
-  const std::string DEFAULT_ICON = "application-default-icon";
+// We use the "bamf-" prefix since the manager is protected, to avoid name clash
+const std::string WINDOW_MOVE_TIMEOUT = "bamf-window-move";
+const std::string ICON_REMOVE_TIMEOUT = "bamf-icon-remove";
+//const std::string ICON_DND_OVER_TIMEOUT = "bamf-icon-dnd-over";
+const std::string DEFAULT_ICON = "application-default-icon";
 }
 
 NUX_IMPLEMENT_OBJECT_TYPE(ApplicationLauncherIcon);

=== modified file 'launcher/DevicesSettingsImp.cpp'
--- launcher/DevicesSettingsImp.cpp	2012-08-17 13:07:53 +0000
+++ launcher/DevicesSettingsImp.cpp	2012-10-29 09:34:54 +0000
@@ -30,11 +30,9 @@
 {
 namespace launcher
 {
+DECLARE_LOGGER(logger, "unity.device.settings");
 namespace
 {
-
-nux::logging::Logger logger("unity.device.settings");
-
 const std::string SETTINGS_NAME = "com.canonical.Unity.Devices";
 const std::string KEY_NAME = "blacklist";
 

=== modified file 'launcher/FavoriteStore.cpp'
--- launcher/FavoriteStore.cpp	2012-09-11 10:26:48 +0000
+++ launcher/FavoriteStore.cpp	2012-10-29 09:34:54 +0000
@@ -26,9 +26,9 @@
 
 namespace unity
 {
+DECLARE_LOGGER(logger, "unity.favorite.store");
 namespace
 {
-nux::logging::Logger logger("unity.favorite.store");
 FavoriteStore* favoritestore_instance = nullptr;
 const std::string PREFIX_SEPARATOR = "://";
 }

=== modified file 'launcher/FavoriteStoreGSettings.cpp'
--- launcher/FavoriteStoreGSettings.cpp	2012-09-28 01:24:35 +0000
+++ launcher/FavoriteStoreGSettings.cpp	2012-10-29 09:34:54 +0000
@@ -37,10 +37,10 @@
 {
 namespace internal
 {
+DECLARE_LOGGER(logger, "unity.favorite.store.gsettings");
 
 namespace
 {
-nux::logging::Logger logger("unity.favorite.store.gsettings");
 const std::string SETTINGS_NAME = "com.canonical.Unity.Launcher";
 const std::string SETTINGS_KEY = "favorites";
 }

=== modified file 'launcher/HudLauncherIcon.cpp'
--- launcher/HudLauncherIcon.cpp	2012-10-11 23:01:05 +0000
+++ launcher/HudLauncherIcon.cpp	2012-10-29 09:34:54 +0000
@@ -31,11 +31,7 @@
 {
 namespace launcher
 {
-
-namespace
-{
-nux::logging::Logger logger("unity.launcher.hudlaunchericon");
-}
+DECLARE_LOGGER(logger, "unity.launcher.icon.hud");
 
 HudLauncherIcon::HudLauncherIcon(LauncherHideMode hide_mode)
  : SingleMonitorLauncherIcon(IconType::HUD, 0)

=== modified file 'launcher/Launcher.cpp'
--- launcher/Launcher.cpp	2012-10-18 00:27:52 +0000
+++ launcher/Launcher.cpp	2012-10-29 09:34:54 +0000
@@ -63,14 +63,12 @@
 
 namespace launcher
 {
+DECLARE_LOGGER(logger, "unity.launcher");
 
-const char window_title[] = "unity-launcher";
+const char* window_title = "unity-launcher";
 
 namespace
 {
-
-nux::logging::Logger logger("unity.launcher");
-
 const int URGENT_BLINKS = 3;
 const int WIGGLE_CYCLES = 6;
 

=== modified file 'launcher/Launcher.h'
--- launcher/Launcher.h	2012-10-17 22:21:51 +0000
+++ launcher/Launcher.h	2012-10-29 09:34:54 +0000
@@ -52,7 +52,7 @@
 {
 namespace launcher
 {
-extern const char window_title[];
+extern const char* window_title;
 
 class AbstractLauncherIcon;
 

=== modified file 'launcher/LauncherController.cpp'
--- launcher/LauncherController.cpp	2012-10-17 22:21:51 +0000
+++ launcher/LauncherController.cpp	2012-10-29 09:34:54 +0000
@@ -48,10 +48,9 @@
 {
 namespace launcher
 {
+DECLARE_LOGGER(logger, "unity.launcher.controller");
 namespace
 {
-nux::logging::Logger logger("unity.launcher");
-
 const std::string DBUS_NAME = "com.canonical.Unity.Launcher";
 const std::string DBUS_PATH = "/com/canonical/Unity/Launcher";
 const std::string DBUS_INTROSPECTION =

=== modified file 'launcher/LauncherEntryRemote.cpp'
--- launcher/LauncherEntryRemote.cpp	2012-06-19 07:54:50 +0000
+++ launcher/LauncherEntryRemote.cpp	2012-10-29 09:34:54 +0000
@@ -24,11 +24,7 @@
 
 namespace unity
 {
-
-namespace
-{
-nux::logging::Logger logger("launcher.entry.remote");
-}
+DECLARE_LOGGER(logger, "unity.launcher.entry.remote");
 
 /**
  * Create a new LauncherEntryRemote parsed from the raw DBus wire format

=== modified file 'launcher/LauncherEntryRemoteModel.cpp'
--- launcher/LauncherEntryRemoteModel.cpp	2012-06-01 09:33:15 +0000
+++ launcher/LauncherEntryRemoteModel.cpp	2012-10-29 09:34:54 +0000
@@ -25,11 +25,7 @@
 
 namespace unity
 {
-
-namespace
-{
-nux::logging::Logger logger("launcher.entry.remote.model");
-}
+DECLARE_LOGGER(logger, "unity.launcher.entry.remote.model");
 
 /**
  * Helper class implementing the remote API to control the icons in the

=== modified file 'launcher/LauncherHideMachine.cpp'
--- launcher/LauncherHideMachine.cpp	2012-08-16 23:57:49 +0000
+++ launcher/LauncherHideMachine.cpp	2012-10-29 09:34:54 +0000
@@ -25,10 +25,10 @@
 {
 namespace launcher
 {
+DECLARE_LOGGER(logger, "unity.launcher.hide");
 
 namespace
 {
-nux::logging::Logger logger("unity.launcher");
 const unsigned int HIDE_DELAY_TIMEOUT_LENGTH = 400;
 }
 

=== modified file 'launcher/LauncherIcon.cpp'
--- launcher/LauncherIcon.cpp	2012-10-17 22:16:48 +0000
+++ launcher/LauncherIcon.cpp	2012-10-29 09:34:54 +0000
@@ -51,10 +51,10 @@
 {
 namespace launcher
 {
+DECLARE_LOGGER(logger, "unity.launcher.icon");
 
 namespace
 {
-nux::logging::Logger logger("unity.launcher");
 const std::string DEFAULT_ICON = "application-default-icon";
 const std::string MONO_TEST_ICON = "gnome-home";
 const std::string UNITY_THEME_NAME = "unity-icon-theme";

=== modified file 'launcher/SimpleLauncherIcon.cpp'
--- launcher/SimpleLauncherIcon.cpp	2012-10-17 11:08:05 +0000
+++ launcher/SimpleLauncherIcon.cpp	2012-10-29 09:34:54 +0000
@@ -34,11 +34,7 @@
 {
 namespace launcher
 {
-
-namespace
-{
-  nux::logging::Logger logger("unity.dash.CategoryViewGrid");
-}
+DECLARE_LOGGER(logger, "unity.launcher.icon");
 
 NUX_IMPLEMENT_OBJECT_TYPE(SimpleLauncherIcon);
 

=== modified file 'launcher/TrashLauncherIcon.cpp'
--- launcher/TrashLauncherIcon.cpp	2012-10-17 22:26:46 +0000
+++ launcher/TrashLauncherIcon.cpp	2012-10-29 09:34:54 +0000
@@ -33,10 +33,10 @@
 {
 namespace launcher
 {
+DECLARE_LOGGER(logger, "unity.launcher.icon");
 namespace
 {
   const std::string ZEITGEIST_UNITY_ACTOR = "application://compiz.desktop";
-  nux::logging::Logger logger("unity.launcher.TrashLauncherIcon");
 }
 
 TrashLauncherIcon::TrashLauncherIcon()

=== modified file 'launcher/VolumeLauncherIcon.cpp'
--- launcher/VolumeLauncherIcon.cpp	2012-10-17 21:42:32 +0000
+++ launcher/VolumeLauncherIcon.cpp	2012-10-29 09:34:54 +0000
@@ -32,11 +32,9 @@
 {
 namespace launcher
 {
+DECLARE_LOGGER(logger, "unity.launcher.icon");
 namespace
 {
-
-nux::logging::Logger logger("unity.launcher");
-
 const unsigned int volume_changed_timeout = 500;
 
 }

=== modified file 'panel/PanelController.cpp'
--- panel/PanelController.cpp	2012-10-11 01:44:15 +0000
+++ panel/PanelController.cpp	2012-10-29 09:34:54 +0000
@@ -32,13 +32,9 @@
 {
 namespace panel
 {
-
-const char window_title[] = "unity-panel";
-
-namespace
-{
-nux::logging::Logger logger("unity.panel");
-}
+DECLARE_LOGGER(logger, "unity.panel.controller");
+
+const char* window_title = "unity-panel";
 
 class Controller::Impl
 {

=== modified file 'panel/PanelIndicatorsView.cpp'
--- panel/PanelIndicatorsView.cpp	2012-06-06 14:50:27 +0000
+++ panel/PanelIndicatorsView.cpp	2012-10-29 09:34:54 +0000
@@ -29,10 +29,7 @@
 #include <UnityCore/Variant.h>
 #include <glib.h>
 
-namespace
-{
-nux::logging::Logger logger("unity.indicators");
-}
+DECLARE_LOGGER(logger, "unity.indicators");
 
 namespace unity
 {

=== modified file 'panel/PanelMenuView.cpp'
--- panel/PanelMenuView.cpp	2012-10-19 11:12:03 +0000
+++ panel/PanelMenuView.cpp	2012-10-29 09:34:54 +0000
@@ -35,10 +35,10 @@
 
 namespace unity
 {
+DECLARE_LOGGER(logger, "unity.panel.menu");
 
 namespace
 {
-  nux::logging::Logger logger("unity.panel.menu");
   const int MAIN_LEFT_PADDING = 4;
   const int TITLE_PADDING = 2;
   const int MENUBAR_PADDING = 4;

=== modified file 'panel/PanelTray.cpp'
--- panel/PanelTray.cpp	2012-09-12 23:34:33 +0000
+++ panel/PanelTray.cpp	2012-10-29 09:34:54 +0000
@@ -23,9 +23,9 @@
 #include <NuxCore/Logger.h>
 #include <UnityCore/Variant.h>
 
+DECLARE_LOGGER(logger, "unity.panel.tray");
 namespace
 {
-nux::logging::Logger logger("unity.panel");
 const std::string SETTINGS_NAME = "com.canonical.Unity.Panel";
 const int PADDING = 3;
 }

=== modified file 'panel/PanelView.cpp'
--- panel/PanelView.cpp	2012-10-11 01:44:15 +0000
+++ panel/PanelView.cpp	2012-10-29 09:34:54 +0000
@@ -43,9 +43,10 @@
 
 #include "PanelView.h"
 
+DECLARE_LOGGER(logger, "unity.panel.view");
+
 namespace
 {
-nux::logging::Logger logger("unity.panel.view");
 const int refine_gradient_midpoint = 959;
 }
 

=== modified file 'plugins/unityshell/src/CompoundGestureRecognizer.cpp'
--- plugins/unityshell/src/CompoundGestureRecognizer.cpp	2012-08-14 13:27:08 +0000
+++ plugins/unityshell/src/CompoundGestureRecognizer.cpp	2012-10-29 09:34:54 +0000
@@ -24,10 +24,7 @@
 #include <NuxCore/Logger.h>
 #include <NuxGraphics/GestureEvent.h>
 
-namespace
-{
-  nux::logging::Logger logger("unity.compound_gesture_recognizer");
-}
+DECLARE_LOGGER(logger, "unity.gesture.recognizer");
 
 namespace unity
 {

=== modified file 'plugins/unityshell/src/DebugDBusInterface.cpp'
--- plugins/unityshell/src/DebugDBusInterface.cpp	2012-06-29 04:17:55 +0000
+++ plugins/unityshell/src/DebugDBusInterface.cpp	2012-10-29 09:34:54 +0000
@@ -38,10 +38,9 @@
 
 namespace debug
 {
+DECLARE_LOGGER(logger, "unity.debug.interface");
 namespace
 {
-nux::logging::Logger logger("unity.debug.DebugDBusInterface");
-
 namespace local
 {
   std::ofstream output_file;
@@ -266,9 +265,10 @@
                 std::string const& message)
 {
   nux::logging::Level level = nux::logging::get_logging_level(severity);
-  if (logger.GetEffectiveLogLevel() <= level)
+  nux::logging::Logger const& log_ref = Unwrap(logger);
+  if (log_ref.GetEffectiveLogLevel() <= level)
   {
-   nux::logging::LogStream(level, logger.module(), __FILE__, __LINE__).stream()
+    nux::logging::LogStream(level, log_ref.module(), __FILE__, __LINE__).stream()
       << message;
   }
 }

=== modified file 'plugins/unityshell/src/GesturalWindowSwitcher.cpp'
--- plugins/unityshell/src/GesturalWindowSwitcher.cpp	2012-08-14 14:04:38 +0000
+++ plugins/unityshell/src/GesturalWindowSwitcher.cpp	2012-10-29 09:34:54 +0000
@@ -25,10 +25,7 @@
 #include <NuxCore/Logger.h>
 #include "unityshell.h"
 
-namespace
-{
-  nux::logging::Logger logger("unity.gestural_window_switcher");
-}
+DECLARE_LOGGER(logger, "unity.gesture.switcher");
 
 using namespace nux;
 using namespace unity;

=== modified file 'plugins/unityshell/src/WindowMinimizeSpeedController.cpp'
--- plugins/unityshell/src/WindowMinimizeSpeedController.cpp	2012-09-12 04:08:06 +0000
+++ plugins/unityshell/src/WindowMinimizeSpeedController.cpp	2012-10-29 09:34:54 +0000
@@ -24,11 +24,9 @@
 
 #include "WindowMinimizeSpeedController.h"
 
+DECLARE_LOGGER(logger, "unity.shell.compiz.minimizer");
 namespace
 {
-
-nux::logging::Logger logger ("unity.WindowMinimizeSpeedController");
-
 namespace local
 {
 const std::string UNITY_SCHEMA = "com.canonical.Unity";

=== modified file 'plugins/unityshell/src/XPathQueryPart.cpp'
--- plugins/unityshell/src/XPathQueryPart.cpp	2012-06-28 22:59:52 +0000
+++ plugins/unityshell/src/XPathQueryPart.cpp	2012-10-29 09:34:54 +0000
@@ -31,10 +31,7 @@
 
 namespace debug
 {
-namespace
-{
-  nux::logging::Logger logger("unity.debug.DebugDBusInterface");
-}
+DECLARE_LOGGER(logger, "unity.debug.xpath");
 
 // Stores a part of an XPath query.
 XPathQueryPart::XPathQueryPart(std::string const& query_part)

=== modified file 'plugins/unityshell/src/unityshell.cpp'
--- plugins/unityshell/src/unityshell.cpp	2012-10-18 09:39:39 +0000
+++ plugins/unityshell/src/unityshell.cpp	2012-10-29 09:34:54 +0000
@@ -80,11 +80,9 @@
 using ui::LayoutWindowList;
 using util::Timer;
 
+DECLARE_LOGGER(logger, "unity.shell.compiz");
 namespace
 {
-
-nux::logging::Logger logger("unity.shell");
-
 UnityScreen* uScreen = 0;
 
 void reset_glib_logging();

=== modified file 'shortcuts/ShortcutHint.cpp'
--- shortcuts/ShortcutHint.cpp	2012-05-07 22:28:17 +0000
+++ shortcuts/ShortcutHint.cpp	2012-10-29 09:34:54 +0000
@@ -24,14 +24,12 @@
 
 #include "ShortcutHintPrivate.h"
 
+DECLARE_LOGGER(logger, "unity.shortcut");
+
 namespace unity
 {
 namespace shortcut
 {
-namespace
-{
-  nux::logging::Logger logger("unity.shortcut");
-} // anonymouse namespace 
 
 // Ctor
 Hint::Hint(std::string const& category,

=== modified file 'unity-shared/BGHash.cpp'
--- unity-shared/BGHash.cpp	2012-10-18 00:27:52 +0000
+++ unity-shared/BGHash.cpp	2012-10-29 09:34:54 +0000
@@ -26,10 +26,7 @@
 #define XA_STRING ((Atom) 31)
 #endif
 
-namespace
-{
-  nux::logging::Logger logger("unity.BGHash");
-}
+DECLARE_LOGGER(logger, "unity.bghash");
 
 namespace unity
 {

=== modified file 'unity-shared/CoverArt.cpp'
--- unity-shared/CoverArt.cpp	2012-10-11 01:44:15 +0000
+++ unity-shared/CoverArt.cpp	2012-10-29 09:34:54 +0000
@@ -36,11 +36,10 @@
 {
 namespace previews
 {
+DECLARE_LOGGER(logger, "unity.dash.previews.coverart");
 
 namespace
 {
-nux::logging::Logger logger("unity.dash.previews.coverart");
-
 const int ICON_SIZE = 256;
 const int IMAGE_TIMEOUT = 30;
 }

=== modified file 'unity-shared/DashStyle.cpp'
--- unity-shared/DashStyle.cpp	2012-10-11 01:44:15 +0000
+++ unity-shared/DashStyle.cpp	2012-10-29 09:34:54 +0000
@@ -53,10 +53,9 @@
 {
 namespace dash
 {
+DECLARE_LOGGER(logger, "unity.dash.style");
 namespace
 {
-nux::logging::Logger logger("unity.dash");
-
 Style* style_instance = nullptr;
 
 const int STATES = 5;

=== modified file 'unity-shared/IconLoader.cpp'
--- unity-shared/IconLoader.cpp	2012-10-11 01:44:15 +0000
+++ unity-shared/IconLoader.cpp	2012-10-29 09:34:54 +0000
@@ -37,9 +37,9 @@
 
 namespace unity
 {
+DECLARE_LOGGER(logger, "unity.iconloader");
 namespace
 {
-nux::logging::Logger logger("unity.iconloader");
 const int MIN_ICON_SIZE = 2;
 const int RIBBON_PADDING = 2;
 }

=== modified file 'unity-shared/IconTexture.cpp'
--- unity-shared/IconTexture.cpp	2012-09-14 13:44:13 +0000
+++ unity-shared/IconTexture.cpp	2012-10-29 09:34:54 +0000
@@ -35,10 +35,10 @@
 
 namespace unity
 {
+DECLARE_LOGGER(logger, "unity.icontexture");
 namespace
 {
 const char* const DEFAULT_ICON = "text-x-preview";
-nux::logging::Logger logger("unity.icontexture");
 }
 
 using namespace unity;

=== modified file 'unity-shared/JSONParser.cpp'
--- unity-shared/JSONParser.cpp	2012-05-06 23:48:38 +0000
+++ unity-shared/JSONParser.cpp	2012-10-29 09:34:54 +0000
@@ -28,10 +28,9 @@
 {
 namespace json
 {
+DECLARE_LOGGER(logger, "unity.json");
 namespace
 {
-nux::logging::Logger logger("unity.json");
-
 nux::Color ColorFromPango(const gchar* color_string)
 {
   static const float PANGO_MAX = 0xffff;

=== modified file 'unity-shared/OverlayRenderer.cpp'
--- unity-shared/OverlayRenderer.cpp	2012-10-17 22:13:25 +0000
+++ unity-shared/OverlayRenderer.cpp	2012-10-29 09:34:54 +0000
@@ -33,10 +33,9 @@
 
 namespace unity
 {
+DECLARE_LOGGER(logger, "unity.overlayrenderer");
 namespace
 {
-nux::logging::Logger logger("unity.overlayrenderer");
-
 const int INNER_CORNER_RADIUS = 5;
 const int EXCESS_BORDER = 10;
 }

=== modified file 'unity-shared/PanelStyle.cpp'
--- unity-shared/PanelStyle.cpp	2012-09-17 00:39:31 +0000
+++ unity-shared/PanelStyle.cpp	2012-10-29 09:34:54 +0000
@@ -39,12 +39,11 @@
 {
 namespace panel
 {
+DECLARE_LOGGER(logger, "unity.panel.style");
 namespace
 {
 Style* style_instance = nullptr;
 
-nux::logging::Logger logger("unity.panel.style");
-
 const std::string SETTINGS_NAME("org.gnome.desktop.wm.preferences");
 const std::string PANEL_TITLE_FONT_KEY("titlebar-font");
 const std::string HIGH_CONTRAST_THEME_PREFIX("HighContrast");

=== modified file 'unity-shared/PluginAdapter.cpp'
--- unity-shared/PluginAdapter.cpp	2012-10-11 01:44:15 +0000
+++ unity-shared/PluginAdapter.cpp	2012-10-29 09:34:54 +0000
@@ -27,11 +27,9 @@
 
 namespace unity
 {
+DECLARE_LOGGER(logger, "unity.wm.compiz");
 namespace
 {
-
-nux::logging::Logger logger("unity.plugin");
-
 const int THRESHOLD_HEIGHT = 600;
 const int THRESHOLD_WIDTH = 1024;
 

=== modified file 'unity-shared/PreviewStyle.cpp'
--- unity-shared/PreviewStyle.cpp	2012-09-26 17:06:44 +0000
+++ unity-shared/PreviewStyle.cpp	2012-10-29 09:34:54 +0000
@@ -35,6 +35,7 @@
 {
 namespace previews
 {
+DECLARE_LOGGER(logger, "unity.dash.previews.style");
 namespace
 {
 Style* style_instance = nullptr;
@@ -42,8 +43,6 @@
 const int preview_width = 770;
 const int preview_height = 380;
 
-nux::logging::Logger logger("unity.dash.previews.style");
-
 typedef nux::ObjectPtr<nux::BaseTexture> BaseTexturePtr;
 
 template <int default_size = 1>

=== modified file 'unity-shared/SearchBar.cpp'
--- unity-shared/SearchBar.cpp	2012-10-11 01:44:15 +0000
+++ unity-shared/SearchBar.cpp	2012-10-29 09:34:54 +0000
@@ -59,11 +59,9 @@
 
 }
 
+DECLARE_LOGGER(logger, "unity.dash.searchbar");
 namespace
 {
-
-nux::logging::Logger logger("unity");
-
 class ExpanderView : public nux::View
 {
 public:

=== modified file 'unity-shared/StandaloneWindowManager.cpp'
--- unity-shared/StandaloneWindowManager.cpp	2012-10-19 09:51:55 +0000
+++ unity-shared/StandaloneWindowManager.cpp	2012-10-29 09:34:54 +0000
@@ -30,11 +30,7 @@
 
 namespace unity
 {
-
-namespace
-{
-nux::logging::Logger logger("unity.wm");
-}
+DECLARE_LOGGER(logger, "unity.wm");
 
 WindowManagerPtr create_window_manager()
 {

=== modified file 'unity-shared/TextInput.cpp'
--- unity-shared/TextInput.cpp	2012-10-17 10:31:17 +0000
+++ unity-shared/TextInput.cpp	2012-10-29 09:34:54 +0000
@@ -51,11 +51,9 @@
 
 }
 
+DECLARE_LOGGER(logger, "unity.dash.textinput");
 namespace
 {
-
-nux::logging::Logger logger("unity");
-
 class ExpanderView : public nux::View
 {
 public:

=== modified file 'unity-shared/TextureCache.cpp'
--- unity-shared/TextureCache.cpp	2012-07-16 11:03:32 +0000
+++ unity-shared/TextureCache.cpp	2012-10-29 09:34:54 +0000
@@ -25,10 +25,7 @@
 
 namespace unity
 {
-namespace
-{
-nux::logging::Logger logger("unity.internal.texturecache");
-}
+DECLARE_LOGGER(logger, "unity.internal.texturecache");
 
 TextureCache::TextureCache()
 {

=== modified file 'unity-shared/ThumbnailGenerator.cpp'
--- unity-shared/ThumbnailGenerator.cpp	2012-08-21 06:54:58 +0000
+++ unity-shared/ThumbnailGenerator.cpp	2012-10-29 09:34:54 +0000
@@ -34,10 +34,10 @@
 
 namespace unity
 {
+DECLARE_LOGGER(logger, "unity.dash.thumbnail");
 
 namespace
 {
-  nux::logging::Logger logger("unity.thumbnailgenerator");
   ThumbnailGenerator* thumbnail_instance = nullptr;
 
   const unsigned int CLEANUP_DURATION = 60*1000;         // 1 minute

=== modified file 'unity-shared/UBusServer.cpp'
--- unity-shared/UBusServer.cpp	2012-10-12 08:27:26 +0000
+++ unity-shared/UBusServer.cpp	2012-10-29 09:34:54 +0000
@@ -22,11 +22,7 @@
 
 namespace unity
 {
-
-namespace
-{
-nux::logging::Logger logger("unity.ubus");
-}
+DECLARE_LOGGER(logger, "unity.ubus");
 
 UBusServer::UBusServer()
   : last_id_(0)

=== modified file 'unity-shared/UScreen.cpp'
--- unity-shared/UScreen.cpp	2012-07-24 01:07:58 +0000
+++ unity-shared/UScreen.cpp	2012-10-29 09:34:54 +0000
@@ -21,11 +21,7 @@
 
 namespace unity
 {
-
-namespace
-{
-nux::logging::Logger logger("unity.screen");
-}
+DECLARE_LOGGER(logger, "unity.screen");
 
 UScreen* UScreen::default_screen_ = nullptr;
 

=== modified file 'unity-shared/UnitySettings.cpp'
--- unity-shared/UnitySettings.cpp	2012-10-11 01:44:15 +0000
+++ unity-shared/UnitySettings.cpp	2012-10-29 09:34:54 +0000
@@ -28,10 +28,9 @@
 
 namespace unity
 {
+DECLARE_LOGGER(logger, "unity.settings");
 namespace
 {
-nux::logging::Logger logger("unity");
-
 Settings* settings_instance = nullptr;
 
 const std::string SETTINGS_NAME = "com.canonical.Unity";

